{
    "$graph": [
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "gunzip",
                "-c"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#gunzip.cwl/gzipfile"
                }
            ],
            "stdout": "unzipped.vcf",
            "id": "#gunzip.cwl",
            "outputs": [
                {
                    "type": "File",
                    "id": "#gunzip.cwl/unzipped_vcf",
                    "outputBinding": {
                        "glob": "unzipped.vcf"
                    }
                }
            ]
        },
        {
            "class": "Workflow",
            "inputs": [
                {
                    "type": "string",
                    "id": "#main/genome"
                },
                {
                    "type": "File",
                    "doc": "gzip VCF file to annotate",
                    "id": "#main/infile"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/snpeff/genes",
                    "id": "#main/genesfile"
                },
                {
                    "type": "File",
                    "outputSource": "#main/snpeff/output",
                    "id": "#main/outfile"
                },
                {
                    "type": "File",
                    "outputSource": "#main/snpeff/stats",
                    "id": "#main/statsfile"
                }
            ],
            "steps": [
                {
                    "run": "#gunzip.cwl",
                    "in": [
                        {
                            "source": "#main/infile",
                            "id": "#main/gunzip/gzipfile"
                        }
                    ],
                    "out": [
                        "#main/gunzip/unzipped_vcf"
                    ],
                    "id": "#main/gunzip"
                },
                {
                    "run": "#snpeff.cwl",
                    "in": [
                        {
                            "source": "#main/genome",
                            "id": "#main/snpeff/genome"
                        },
                        {
                            "source": "#main/gunzip/unzipped_vcf",
                            "id": "#main/snpeff/input_vcf"
                        }
                    ],
                    "out": [
                        "#main/snpeff/output",
                        "#main/snpeff/stats",
                        "#main/snpeff/genes"
                    ],
                    "id": "#main/snpeff"
                }
            ],
            "doc": "Annotate variants provided in a gziped VCF using SnpEff\n",
            "id": "#main"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [],
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerImageId": "andrewjesaitis/snpeff"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#snpeff.cwl/genome"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2
                    },
                    "doc": "VCF file to annotate",
                    "id": "#snpeff.cwl/input_vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.txt"
                    },
                    "id": "#snpeff.cwl/genes"
                },
                {
                    "type": "File",
                    "id": "#snpeff.cwl/output",
                    "outputBinding": {
                        "glob": "output.vcf"
                    }
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.html"
                    },
                    "id": "#snpeff.cwl/stats"
                }
            ],
            "stdout": "output.vcf",
            "id": "#snpeff.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
